Get Auth Signature

Note: This is intended for testing purposes only and should not be used in production. Generate Auth Signature refer to this page Auth Signature

This endpoint is used to generate or validate a digital signature required for authentication and security in interactions between an application and the API.


A. Request Header

FieldFormatMandatoryLengthExample
Content-Typestring Yapplication/json
Open-Api Timestampyyyy-mm-dd
'T'hh:mm:ss+07:00
Y2022-03-21T10:11:40+07:00

B. Request Body

FieldTypeDescriptionRequiredExample
client_idstringThe unique identifier for the B2B client.true"3f9c8962-4c4b-4bb6-b3c1-8fc883519c02"
timestampstringThe current timestamp when the request is made, typically in ISO 8601 format.true"2023-12-13T15:14:17.000+07:00"
private_keystringThe private key associated with the B2B client, used for securing the request. (base64)true""

C. Sample Request

{
    "client_id": "{{B2B_CLIENT_ID}}",
    "timestamp": "{{B2B_OPEN_API_CURRENT_TIMESTAMP}}",
    "private_key":  "{{B2B_CLIENT_PRIVATE_KEY}}"
}

D. Response Body

FieldTypeDescriptionExample
response_codestringA combination of HTTP code and Klikoo B2B internal code.
See page documentation API's Response Code .
“200012000”
response_messagestringAn explanation of response code"Success"
dataobjectContains additional data related to the response.
signaturestringThe digital signature value""

E. Sample Response

{
    "response_code": "2000100",
    "response_message": "Success.",
    "data": {
        "signature": " "
    }
}

Try It Here (Form)


To try the following endpoint, enter the example request data you want to use in the following form

Body Params
string
date-time
string
Headers
date-time
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json